New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Error in render_page(f) : Failed to render '2015-07-23-r-rmarkdown.Rmd' #130

Closed
claire-roberts opened this Issue Jun 29, 2017 · 6 comments

Comments

Projects
None yet
3 participants
@claire-roberts

claire-roberts commented Jun 29, 2017

This is my first time installing/trying to use blogdown. When running 'new_site()' I get the following error message, I've attached the console output below. Any suggestions to fix this would be appreciated!

new_site()
Congratulations! Your new Hugo site is created in X:\Claire\shiny\blogspot.github.io.

Just a few more steps and you're ready to go:

  1. Download a theme into the same-named folder.
    Choose a theme from https://themes.gohugo.io/, or
    create your own with the "hugo new theme " command.
  2. Perhaps you want to add some content. You can add single files
    with "hugo new <FILENAME>.".
  3. Start the built-in live server via "hugo server".

Visit https://gohugo.io/ for quickstart guide and full documentation.
trying URL 'https://github.com/yihui/hugo-lithium-theme/archive/master.zip'
Content type 'application/zip' length unknown
downloaded 116 KB

Quitting from lines 10-11 (2015-07-23-r-rmarkdown.Rmd)
Error in evaluate_call(expr, parsed$src[[i]], envir = envir, enclos = enclos, :
unused argument (include_timing = include_timing)
Calls: local ... call_block -> block_exec -> in_dir -> evaluate -> evaluate_call
Execution halted
Error in render_page(f) : Failed to render '2015-07-23-r-rmarkdown.Rmd'
In addition: Warning message:
running command '"C:/PROGRA1/R/R-331.2/bin/x64/Rscript" "C:/Users/claire.GMFMC/Documents/R/win-library/3.3/blogdown/scripts/render_page.R" "2015-07-23-r-rmarkdown.Rmd"' had status 1

@yihui

This comment has been minimized.

Member

yihui commented Jun 30, 2017

Is everything up-to-date? e.g. update.packages(ask = FALSE, checkBuilt = TRUE)

@claire-roberts

This comment has been minimized.

claire-roberts commented Jun 30, 2017

Session info ---------------------------------------------------------------
setting value
version R version 3.3.2 (2016-10-31)
system x86_64, mingw32
ui RStudio (0.99.875)
language (EN)
collate English_United States.1252
tz America/New_York
date 2017-06-30

Packages -------------------------------------------------------------------
package * version date source
backports 1.0.5 2017-01-18 CRAN (R 3.3.2)
base64enc 0.1-3 2015-07-28 CRAN (R 3.3.0)
bitops 1.0-6 2013-08-17 CRAN (R 3.3.0)
blogdown 0.0.46 2017-06-30 Github (013a1f8)
bookdown 0.4 2017-05-20 CRAN (R 3.3.3)
caTools 1.17.1 2014-09-10 CRAN (R 3.3.0)
digest 0.6.12 2017-01-27 CRAN (R 3.3.2)
evaluate 0.9 2016-04-29 CRAN (R 3.3.0)
highr 0.6 2016-05-09 CRAN (R 3.3.0)
htmltools 0.3.6 2017-04-28 CRAN (R 3.3.3)
httpuv 1.3.3 2015-08-04 CRAN (R 3.3.0)
jsonlite 1.4 2017-04-08 CRAN (R 3.3.3)
knitr 1.16 2017-05-18 CRAN (R 3.3.3)
magrittr 1.5 2014-11-22 CRAN (R 3.3.0)
markdown 0.7.7 2015-04-22 CRAN (R 3.3.0)
mime 0.5 2016-07-07 CRAN (R 3.3.1)
Rcpp 0.12.9 2017-01-14 CRAN (R 3.3.2)
rmarkdown 1.6 2017-06-15 CRAN (R 3.3.3)
rprojroot 1.2 2017-01-16 CRAN (R 3.3.2)
servr 0.6 2017-05-12 CRAN (R 3.3.3)
stringi 1.0-1 2015-10-22 CRAN (R 3.3.0)
stringr 1.0.0 2015-04-30 CRAN (R 3.3.0)
yaml 2.1.14 2016-11-12 CRAN (R 3.3.2)

@yihui

This comment has been minimized.

Member

yihui commented Jun 30, 2017

The evaluate package is not up-to-date. Could you please do what I suggested first? update.packages(ask = FALSE, checkBuilt = TRUE)

I wonder how you managed to install knitr v1.16 without a proper version of evaluate, since knitr v1.16 requires evaluate at least v0.10: https://cran.rstudio.com/web/packages/knitr/

@claire-roberts

This comment has been minimized.

claire-roberts commented Jun 30, 2017

That did the trick. Thanks

@ChuliangXiao

This comment has been minimized.

ChuliangXiao commented Mar 12, 2018

Similar error in "Rendering content/post/2015-07-23-r-rmarkdown.Rmd"

blogdown::new_site(theme = "gcushen/hugo-academic")
Congratulations! Your new Hugo site is created in C:\Users\Owner\Documents\R\cxiao.

Just a few more steps and you're ready to go:

  1. Download a theme into the same-named folder.
    Choose a theme from https://themes.gohugo.io/, or
    create your own with the "hugo new theme " command.
  2. Perhaps you want to add some content. You can add single files
    with "hugo new <FILENAME>.".
  3. Start the built-in live server via "hugo server".

Visit https://gohugo.io/ for quickstart guide and full documentation.
trying URL 'https://github.com/gcushen/hugo-academic/archive/master.zip'
length 1286138 bytes (1.2 MB)
downloaded 1.2 MB

Rendering content/post/2015-07-23-r-rmarkdown.Rmd
Error in .Call("_httpuv_encodeURIComponent", PACKAGE = "httpuv", value) :
"_httpuv_encodeURIComponent" not available for .Call() for package "httpuv"

My R packages info

devtools::session_info('blogdown')
Session info -----------------------------------------------------------------
setting value
version R version 3.4.3 (2017-11-30)
system x86_64, mingw32
ui RStudio (1.1.423)
language (EN)
collate English_United States.1252
tz America/New_York
date 2018-03-12

Packages ---------------------------------------------------------------------
package * version date source
backports 1.1.2 2017-12-13 CRAN (R 3.4.3)
base64enc 0.1-3 2015-07-28 CRAN (R 3.4.1)
BH 1.66.0-1 2018-02-13 CRAN (R 3.4.3)
blogdown 0.5.10 2018-03-12 Github (2823c95)
bookdown 0.7 2018-02-18 CRAN (R 3.4.3)
digest 0.6.15 2018-01-28 CRAN (R 3.4.3)
evaluate 0.10.1 2017-06-24 CRAN (R 3.4.3)
glue 1.2.0 2017-10-29 CRAN (R 3.4.3)
graphics * 3.4.3 2017-12-06 local
grDevices * 3.4.3 2017-12-06 local
highr 0.6 2016-05-09 CRAN (R 3.4.3)
htmltools 0.3.6 2017-04-28 CRAN (R 3.4.3)
httpuv 1.3.6.9006 2018-03-12 Github (rstudio/httpuv@0d65c87)
jsonlite 1.5 2017-06-01 CRAN (R 3.4.3)
knitr 1.20 2018-02-20 CRAN (R 3.4.3)
later 0.7.1 2018-03-12 Github (r-lib/later@3907767)
magrittr 1.5 2014-11-22 CRAN (R 3.4.3)
markdown 0.8 2017-04-20 CRAN (R 3.4.3)
methods * 3.4.3 2017-12-06 local
mime 0.5 2016-07-07 CRAN (R 3.4.1)
promises 0.1.0.9002 2018-03-12 Github (rstudio/promises@c4f0cd0)
R6 2.2.2 2017-06-17 CRAN (R 3.4.3)
Rcpp 0.12.15 2018-01-20 CRAN (R 3.4.3)
rlang 0.2.0 2018-02-20 CRAN (R 3.4.3)
rmarkdown 1.9 2018-03-01 CRAN (R 3.4.3)
rprojroot 1.3-2 2018-01-03 CRAN (R 3.4.3)
servr 0.8 2017-11-06 CRAN (R 3.4.3)
stats * 3.4.3 2017-12-06 local
stringi 1.1.6 2017-11-17 CRAN (R 3.4.2)
stringr 1.3.0 2018-02-19 CRAN (R 3.4.3)
tinytex 0.4 2018-03-08 CRAN (R 3.4.3)
tools 3.4.3 2017-12-06 local
utils * 3.4.3 2017-12-06 local
xfun 0.1 2018-01-22 CRAN (R 3.4.3)
yaml 2.1.18 2018-03-08 CRAN (R 3.4.3)

@yihui

This comment has been minimized.

Member

yihui commented Mar 12, 2018

@ChuliangXiao Please install httpuv from CRAN.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment